import org.apache.commons.io.comparator.DirectoryFileComparator;
import java.io.File;

public class DirFileComparatorExample1 {

	public static void main(String [] args) {

		DirectoryFileComparator comparator = new DirectoryFileComparator();

		System.out.println("### Input files ###");
		File dir = new File("X:\\testdir\\");
		File [] files = dir.listFiles();
		printArrayContents(files);

		System.out.println("### Array sorted ###");
		files = comparator.sort(files);
		printArrayContents(files);
	}

	private static void printArrayContents(File [] files) {

		for (File file : files) {

			if (file.isDirectory()) {

				System.out.println("DIR: " + file);
			}
			else {
				System.out.println("     " + file);
			}
		}

		System.out.println("");
	}
}
