import org.apache.commons.io.comparator.DirectoryFileComparator;
import java.io.File;
import java.util.Arrays;

public class DirFileComparatorExample2 {

	public static void main(String [] args) {

		System.out.println("### Input files ###");
		File dir = new File("X:\\testdir\\");
		File [] files = dir.listFiles();
		printArrayContents(files);

		System.out.println("### Array reverse sorted ###");
		Arrays.sort(files, DirectoryFileComparator.DIRECTORY_REVERSE);
		printArrayContents(files);
	}

	private static void printArrayContents(File [] files) {

		for (File file : files) {

			if (file.isDirectory()) {

				System.out.println("DIR: " + file);
			}
			else {
				System.out.println("     " + file);
			}
		}

		System.out.println("");
	}
}
